diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/CMakeLists.txt ns-3.43/src/CMakeLists.txt
--- ns-3.42/src/CMakeLists.txt	2024-05-29 15:29:46.916073000 -0700
+++ ns-3.43/src/CMakeLists.txt	2024-10-09 16:41:09.844655800 -0700
@@ -53,71 +53,124 @@
   endif()
 endforeach()
 
-# Prevents link errors due to symbol collisions if the same library is linked
-# multiple times
-list(REMOVE_DUPLICATES ns3-external-libs)
-
-# Build the lib-ns3-static (ns3.x-static-buildtype.a/.lib) with all sublibraries
-if(${NS3_STATIC})
-  add_library(
-    ${lib-ns3-static} STATIC ${PROJECT_SOURCE_DIR}/build-support/empty.cc
-                             "${lib-ns3-static-objs}"
-  )
-
-  # Replace shared library suffix and check if static version exists before
-  # linking
-  set(ns3-external-static-libs)
-  foreach(sharedlib ${ns3-external-libs})
-    if(NOT (${sharedlib} MATCHES ".so"))
-      list(APPEND ns3-external-static-libs ${sharedlib})
-      continue()
-    endif()
+if(NOT ${XCODE})
 
-    string(REPLACE ".so" ".a" output ${sharedlib})
-    if(EXISTS ${output})
-      list(APPEND ns3-external-static-libs ${output})
-    else()
-      message(
-        FATAL_ERROR "Static library version of ${sharedlib} was not found"
+  # Create object libraries from shared libraries to be reused by static and
+  # monolib builds
+  set(lib-ns3-static-objs)
+  if(${NS3_STATIC} OR ${NS3_MONOLIB})
+    foreach(module ${ns3-libs} ${ns3-contrib-libs})
+      # Retrieve source files from shared library target
+      get_target_property(target_sources ${module} SOURCES)
+
+      # Prepend module path to source files
+      set(FOLDER "src")
+      if(${module} IN_LIST ns3-contrib-libs)
+        set(FOLDER "contrib")
+      endif()
+      list(TRANSFORM target_sources
+           PREPEND ${PROJECT_SOURCE_DIR}/${FOLDER}/${module}/
       )
-    endif()
-  endforeach()
 
-  # Required by some static libraries, such as sqlite, for some odd reason
-  if(LINUX)
-    list(APPEND ns3-external-static-libs -ldl)
-  endif()
+      # Create object library from shared library
+      add_library(${module}-obj OBJECT ${target_sources})
 
-  target_link_libraries(
-    ${lib-ns3-static} ${STATIC_LINK_FLAGS} ${LIB_AS_NEEDED_PRE_STATIC}
-    ${ns3-external-static-libs} ${LIB_AS_NEEDED_POST_STATIC}
-  )
-  if(${NS3_CLANG_TIMETRACE})
-    add_dependencies(timeTraceReport ${lib-ns3-static})
+      # Reuse PCH
+      if(${PRECOMPILE_HEADERS_ENABLED})
+        target_precompile_headers(${module}-obj REUSE_FROM stdlib_pch)
+      endif()
+
+      # Retrieve properties from shared library target and apply to object
+      foreach(property INCLUDE_DIRECTORIES LINK_DIRECTORIES
+                       INTERFACE_COMPILE_DEFINITIONS
+      )
+        get_target_property(target_definitions ${module} ${property})
+        if("${target_definitions}" MATCHES "target_definitions-NOTFOUND")
+          continue()
+        endif()
+        if(${property} STREQUAL "INTERFACE_COMPILE_DEFINITIONS")
+          set(property COMPILE_DEFINITIONS)
+        endif()
+
+        set_target_properties(
+          ${module}-obj PROPERTIES ${property} "${target_definitions}"
+        )
+      endforeach()
+
+      # Append to the list of object files
+      list(APPEND lib-ns3-static-objs $<TARGET_OBJECTS:${module}-obj>)
+    endforeach()
   endif()
-endif()
 
-# Build the lib-ns3 (ns3.x-monolib-buildtype.dll/.dylib/.so) with all
-# sublibraries
-if(${NS3_MONOLIB})
-  add_library(
-    ${lib-ns3-monolib} SHARED ${PROJECT_SOURCE_DIR}/build-support/empty.cc
-                              "${lib-ns3-static-objs}"
-  )
-  set_target_properties(
-    ${lib-ns3-monolib}
-    PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE
-               RUNTIME_OUTPUT_DIRECTORY
-               ${CMAKE_LIBRARY_OUTPUT_DIRECTORY} # set output directory for DLLs
-  )
-  target_link_libraries(
-    ${lib-ns3-monolib} ${LIB_AS_NEEDED_PRE} ${ns3-external-libs}
-    ${LIB_AS_NEEDED_POST}
-  )
-  if(${NS3_CLANG_TIMETRACE})
-    add_dependencies(timeTraceReport ${lib-ns3-monolib})
-  endif()
-endif()
+  # Prevents link errors due to symbol collisions if the same library is linked
+  # multiple times
+  list(REMOVE_DUPLICATES ns3-external-libs)
+
+  # Build the lib-ns3-static (ns3.x-static-buildtype.a/.lib) with all
+  # sublibraries
+  if(${NS3_STATIC})
+    add_library(
+      ${lib-ns3-static} STATIC ${PROJECT_SOURCE_DIR}/build-support/empty.cc
+                               "${lib-ns3-static-objs}"
+    )
+
+    # Replace shared library suffix and check if static version exists before
+    # linking
+    set(ns3-external-static-libs)
+    foreach(sharedlib ${ns3-external-libs})
+      if(NOT (${sharedlib} MATCHES ".so"))
+        list(APPEND ns3-external-static-libs ${sharedlib})
+        continue()
+      endif()
+
+      string(REPLACE ".so" ".a" output ${sharedlib})
+      if(EXISTS ${output})
+        list(APPEND ns3-external-static-libs ${output})
+      else()
+        message(
+          FATAL_ERROR "Static library version of ${sharedlib} was not found"
+        )
+      endif()
+    endforeach()
+
+    # Required by some static libraries, such as sqlite, for some odd reason
+    if(LINUX)
+      list(APPEND ns3-external-static-libs -ldl)
+    endif()
+
+    target_link_libraries(
+      ${lib-ns3-static} ${STATIC_LINK_FLAGS} ${LIB_AS_NEEDED_PRE_STATIC}
+      ${ns3-external-static-libs} ${LIB_AS_NEEDED_POST_STATIC}
+    )
+    if(${NS3_CLANG_TIMETRACE})
+      add_dependencies(timeTraceReport ${lib-ns3-static})
+    endif()
+  endif() # NS3_STATIC
+
+  # Build the lib-ns3 (ns3.x-monolib-buildtype.dll/.dylib/.so) with all
+  # sublibraries
+  if(${NS3_MONOLIB})
+    add_library(
+      ${lib-ns3-monolib} SHARED ${PROJECT_SOURCE_DIR}/build-support/empty.cc
+                                "${lib-ns3-static-objs}"
+    )
+    set_target_properties(
+      ${lib-ns3-monolib}
+      PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE
+                 RUNTIME_OUTPUT_DIRECTORY
+                 ${CMAKE_LIBRARY_OUTPUT_DIRECTORY} # set output directory for
+                                                   # DLLs
+    )
+    target_link_libraries(
+      ${lib-ns3-monolib} ${LIB_AS_NEEDED_PRE} ${ns3-external-libs}
+      ${LIB_AS_NEEDED_POST}
+    )
+    if(${NS3_CLANG_TIMETRACE})
+      add_dependencies(timeTraceReport ${lib-ns3-monolib})
+    endif()
+  endif() # NS3_MONOLIB
+
+endif() # NOT XCODE
 
 if(${NS3_FETCH_OPTIONAL_COMPONENTS})
   add_dependency_to_optional_modules_dependencies()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/attribute-default-iterator.cc ns-3.43/src/config-store/model/attribute-default-iterator.cc
--- ns-3.42/src/config-store/model/attribute-default-iterator.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/attribute-default-iterator.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/attribute-default-iterator.h ns-3.43/src/config-store/model/attribute-default-iterator.h
--- ns-3.42/src/config-store/model/attribute-default-iterator.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/attribute-default-iterator.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/attribute-iterator.cc ns-3.43/src/config-store/model/attribute-iterator.cc
--- ns-3.42/src/config-store/model/attribute-iterator.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/attribute-iterator.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -231,8 +220,13 @@
             if (ptrChecker != nullptr)
             {
                 NS_LOG_DEBUG("pointer attribute " << info.name);
+                if (info.supportLevel == TypeId::DEPRECATED ||
+                    info.supportLevel == TypeId::OBSOLETE)
+                {
+                    continue;
+                }
                 PointerValue ptr;
-                object->GetAttribute(info.name, ptr);
+                object->GetAttribute(info.name, ptr, true);
                 Ptr<Object> tmp = ptr.Get<Object>();
                 if (tmp)
                 {
@@ -251,7 +245,7 @@
             {
                 NS_LOG_DEBUG("ObjectPtrContainer attribute " << info.name);
                 ObjectPtrContainerValue vector;
-                object->GetAttribute(info.name, vector);
+                object->GetAttribute(info.name, vector, true);
                 StartVisitArrayAttribute(object, info.name, vector);
                 ObjectPtrContainerValue::Iterator it;
                 for (it = vector.Begin(); it != vector.End(); ++it)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/attribute-iterator.h ns-3.43/src/config-store/model/attribute-iterator.h
--- ns-3.42/src/config-store/model/attribute-iterator.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/attribute-iterator.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/config-store.cc ns-3.43/src/config-store/model/config-store.cc
--- ns-3.42/src/config-store/model/config-store.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/config-store.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
@@ -74,11 +63,15 @@
                 EnumValue(ConfigStore::RAW_TEXT),
                 MakeEnumAccessor<FileFormat>(&ConfigStore::SetFileFormat),
                 MakeEnumChecker(ConfigStore::RAW_TEXT, "RawText", ConfigStore::XML, "Xml"))
-            .AddAttribute("SaveDeprecated",
-                          "Save DEPRECATED attributes",
-                          BooleanValue(true),
-                          MakeBooleanAccessor(&ConfigStore::SetSaveDeprecated),
-                          MakeBooleanChecker());
+            .AddAttribute(
+                "SaveDeprecated",
+                "Save DEPRECATED attributes",
+                BooleanValue(true),
+                MakeBooleanAccessor(&ConfigStore::SetSaveDeprecated),
+                MakeBooleanChecker(),
+                TypeId::OBSOLETE,
+                "OBSOLETE since ns-3.43 as it is no longer needed; deprecated attributes are saved "
+                "only if their value differs from their respective original initial value");
     return tid;
 }
 
@@ -140,8 +133,6 @@
         }
     }
     m_file->SetFilename(m_filename);
-    m_file->SetSaveDeprecated(m_saveDeprecated);
-
     NS_LOG_FUNCTION(this << ": format: " << m_fileFormat << ", mode: " << m_mode
                          << ", file name: " << m_filename);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/config-store.h ns-3.43/src/config-store/model/config-store.h
--- ns-3.42/src/config-store/model/config-store.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/config-store.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/display-functions.cc ns-3.43/src/config-store/model/display-functions.cc
--- ns-3.42/src/config-store/model/display-functions.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/display-functions.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/display-functions.h ns-3.43/src/config-store/model/display-functions.h
--- ns-3.42/src/config-store/model/display-functions.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/display-functions.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/file-config.cc ns-3.43/src/config-store/model/file-config.cc
--- ns-3.42/src/config-store/model/file-config.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/file-config.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
@@ -26,12 +15,6 @@
 {
 }
 
-void
-FileConfig::SetSaveDeprecated(bool saveDeprecated)
-{
-    m_saveDeprecated = saveDeprecated;
-}
-
 NoneFileConfig::NoneFileConfig()
 {
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/file-config.h ns-3.43/src/config-store/model/file-config.h
--- ns-3.42/src/config-store/model/file-config.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/file-config.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
@@ -40,11 +29,6 @@
      */
     virtual void SetFilename(std::string filename) = 0;
     /**
-     * Set if to save deprecated attributes
-     * \param saveDeprecated the deprecated attributes save policy
-     */
-    void SetSaveDeprecated(bool saveDeprecated);
-    /**
      * Load or save the default values
      */
     virtual void Default() = 0;
@@ -56,9 +40,6 @@
      * Load or save the attributes values
      */
     virtual void Attributes() = 0;
-
-  protected:
-    bool m_saveDeprecated; ///< save deprecated attributes
 };
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/gtk-config-store.cc ns-3.43/src/config-store/model/gtk-config-store.cc
--- ns-3.42/src/config-store/model/gtk-config-store.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/gtk-config-store.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/gtk-config-store.h ns-3.43/src/config-store/model/gtk-config-store.h
--- ns-3.42/src/config-store/model/gtk-config-store.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/gtk-config-store.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/model-node-creator.cc ns-3.43/src/config-store/model/model-node-creator.cc
--- ns-3.42/src/config-store/model/model-node-creator.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/model-node-creator.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/model-node-creator.h ns-3.43/src/config-store/model/model-node-creator.h
--- ns-3.42/src/config-store/model/model-node-creator.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/model-node-creator.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/model-typeid-creator.cc ns-3.43/src/config-store/model/model-typeid-creator.cc
--- ns-3.42/src/config-store/model/model-typeid-creator.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/model-typeid-creator.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/config-store/model/model-typeid-creator.h ns-3.43/src/config-store/model/model-typeid-creator.h
--- ns-3.42/src/config-store/model/model-typeid-creator.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/config-store/model/model-typeid-creator.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- *  This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Moatamri Faker <faker.moatamri@sophia.inria.fr>
  */
